Page 1 of 2 12 LastLast
Results 1 to 10 of 13
Discuss how update 3G from 2.2 to 3.1??? at the iOS 3.x (iPhone OS 3.x) - Hackint0sh.org; Hi every one I have a 3G Jailbreak and unlock fw 2.2 working how may ...
  1. #1
    Rookie Array

    Join Date
    Nov 2007
    Posts
    19
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default how update 3G from 2.2 to 3.1???

    Hi every one I have a 3G Jailbreak and unlock fw 2.2 working how may update to 3.1? thanks



  2. #2
    Professional Array

    Join Date
    Sep 2007
    Posts
    66
    Post Thanks / Like
    Downloads
    1
    Uploads
    0
    Rep Power
    10

    Default

    Quote Originally Posted by guazamalleta View Post
    Hi every one I have a 3G Jailbreak and unlock fw 2.2 working how may update to 3.1? thanks
    SEARCH

    Update to 3.0 then redsn0w or use pwnage to create custom 3.1

  3. #3
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default Re: how update 3G from 2.2 to 3.1???

    Be sure to avoid 3.1 or 3.1.2. These will kill your unlock. Be very very careful, there is no way to downgrade if you accidentally upgrade to the baseband contained in 3.1+

    Manually download 3.0 and place it by itself in a folder so you can't mix it up with other firmwares you may have downloaded. Then restore to it by holding down shift (or option if on a mac) and clicking the restore button in iTunes.

    You will get an option to browse for a firmware, browse to the folder you have saved the 3.0 firmware in. If you do not get the option to browse then you forgot to hold shift or option. Do not proceed if you don't get the option to browse for an ipsw.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  4. #4
    Rookie Array

    Join Date
    Nov 2007
    Posts
    19
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    thanks man i gonna try

  5. #5
    Newbie Array

    Join Date
    Sep 2009
    Posts
    5
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    I'm in the same boat (ish). I jailbroke my 2.2.1 (and unlocked while I was at it, even though I have AT&T) 6 months ago. My baseband is 2.30.03. Every time I try to upgrade to 3.1 (or just recently, 3.1.2) I absolutely CANNOT get signal.

    Is my baseband just too old, and that's why I'm not getting signal? It seems to me like I should guard 2.30.03 with my life, but if I can't get it to work with the new 3.xxx software does that mean it HAS to be upgraded?

    I know I don't *need* the unlock, but it sure would be nice to keep the option if I need it in the future.

    From what I've read, I need to upgrade legitimately to 3.0 (to get the 3.x baseband) and then jailbreak/unlock up to 3.1.2.

    Does this sound right? Am I starting to understand the problem?


  6. #6
    Supporter Array pconde's Avatar

    Join Date
    Oct 2008
    Location
    Madrid, Spain
    Posts
    239
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    18

    Default

    Quote Originally Posted by usafjetdriver View Post
    I'm in the same boat (ish). I jailbroke my 2.2.1 (and unlocked while I was at it, even though I have AT&T) 6 months ago. My baseband is 2.30.03. Every time I try to upgrade to 3.1 (or just recently, 3.1.2) I absolutely CANNOT get signal.

    Is my baseband just too old, and that's why I'm not getting signal? It seems to me like I should guard 2.30.03 with my life, but if I can't get it to work with the new 3.xxx software does that mean it HAS to be upgraded?

    I know I don't *need* the unlock, but it sure would be nice to keep the option if I need it in the future.

    From what I've read, I need to upgrade legitimately to 3.0 (to get the 3.x baseband) and then jailbreak/unlock up to 3.1.2.

    Does this sound right? Am I starting to understand the problem?
    Yes. The problem is that the baseband 2.30.03 does not work with firmware 3.x.

    You need to upgrade your iphone to the official 3.0 firmware (using the latest version of iTunes). It will upgrade your baseband to 4.26.08, the version that works with UltraSn0w (the 3.x unlock solution). After that, you must generate a custom IPSW with pwnagetool to avoid baseband upgrades (3.1 and 3.1.2 upgrade baseband to a newer version that does not work with UltraSn0w), and restore (Option + Restore in Mac, Shift + Restore in Windows) the custom IPSW through iTunes.

  7. #7
    Newbie Array

    Join Date
    Sep 2009
    Posts
    5
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by pconde View Post
    Yes. The problem is that the baseband 2.30.03 does not work with firmware 3.x.

    You need to upgrade your iphone to the official 3.0 firmware (using the latest version of iTunes). It will upgrade your baseband to 4.26.08, the version that works with UltraSn0w (the 3.x unlock solution). After that, you must generate a custom IPSW with pwnagetool to avoid baseband upgrades (3.1 and 3.1.2 upgrade baseband to a newer version that does not work with UltraSn0w), and restore (Option + Restore in Mac, Shift + Restore in Windows) the custom IPSW through iTunes.
    pconde,

    Thanks for the lighting-fast reply. I've been searching, but had to piece the info together and STILL needed clarification. Maybe facts like this should be sticky'd somewhere (unless I'm an r-tard and missed it!)?

    So, if I understand you correctly, go to 3.0 legitimately thru iTunes (are the Edgesuite download links safe / direct from @pple??), then use pwnage tool to upgrade to 3.1.2

    After I do this, *THEN* install ultrasn0w? Or install ultrasn0w after restoring to 3.0, but BEFORE using pwnage tool to upgrade to 3.1.2? (Or is ultrasn0w even required anymore with the new pwnage tool 3.1.4?)

    Thanks again bro.

  8. #8
    Supporter Array pconde's Avatar

    Join Date
    Oct 2008
    Location
    Madrid, Spain
    Posts
    239
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    18

    Default

    Quote Originally Posted by usafjetdriver View Post
    pconde,

    Thanks for the lighting-fast reply. I've been searching, but had to piece the info together and STILL needed clarification. Maybe facts like this should be sticky'd somewhere (unless I'm an r-tard and missed it!)?

    So, if I understand you correctly, go to 3.0 legitimately thru iTunes (are the Edgesuite download links safe / direct from @pple??), then use pwnage tool to upgrade to 3.1.2

    After I do this, *THEN* install ultrasn0w? Or install ultrasn0w after restoring to 3.0, but BEFORE using pwnage tool to upgrade to 3.1.2? (Or is ultrasn0w even required anymore with the new pwnage tool 3.1.4?)

    Thanks again bro.
    See this iClarified tutorial to download the official 3.0 FW: http://iclarified.com/entry/index.php?enid=750

    You have to:

    1. Install latest version of iTunes and sync your iPhone to make a backup.
    2. Restore it (restore, do not upgrade) to official 3.0.
    3. Generate a custom IPSW with PwnageTool. See this iClarified tutorial: http://iclarified.com/entry/index.php?enid=4254. If you do not have an official Apple provider SIM, remember to select the option in PwnageTool "activate the phone".
    4. Option + Restore (Shift + restore if you have Windows) and select the custom IPSW.
    5. Restore your backup.
    6. If you do not have it, add the repo repo666.ultrasn0w.com in Cydia and install UltraSn0w. You will need WI-FI connection to do it.
    7. Reboot your iPhone.

    Then you will have an unlocked and jailbreaked iPhone with firmware 3.1.2.

    Hope it is clear...

  9. #9
    Newbie Array

    Join Date
    Sep 2009
    Posts
    5
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Crystal clear! Thanks!! I was just unsure about when to accomplish the ultrasn0w step. Thanks again man.

  10. #10
    Newbie Array

    Join Date
    Oct 2009
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    This sounds great! Shouldn't this be made a sticky?

    Thanks, I'm gonna try it. From 2.2.1 to 3.1.2.

    Quote Originally Posted by pconde View Post
    See this iClarified tutorial to download the official 3.0 FW: http://iclarified.com/entry/index.php?enid=750

    You have to:

    1. Install latest version of iTunes and sync your iPhone to make a backup.
    2. Restore it (restore, do not upgrade) to official 3.0.
    3. Generate a custom IPSW with PwnageTool. See this iClarified tutorial: http://iclarified.com/entry/index.php?enid=4254. If you do not have an official Apple provider SIM, remember to select the option in PwnageTool "activate the phone".
    4. Option + Restore (Shift + restore if you have Windows) and select the custom IPSW.
    5. Restore your backup.
    6. If you do not have it, add the repo repo666.ultrasn0w.com in Cydia and install UltraSn0w. You will need WI-FI connection to do it.
    7. Reboot your iPhone.

    Then you will have an unlocked and jailbreaked iPhone with firmware 3.1.2.

    Hope it is clear...


 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. MacNN: Briefly: TIME Mobile app update, HP 6500 driver update
    By hackint0sh in forum Latest Headlines
    Replies: 0
    Last Post: 06-03-2010, 11:40 PM
  2. Remindyou latest update 2.3 is a mess:do not update or install!
    By docomar in forum Free Toolchain Software (Cydia App's)
    Replies: 0
    Last Post: 01-23-2009, 12:04 AM
  3. Replies: 8
    Last Post: 09-16-2008, 11:17 PM
  4. Replies: 0
    Last Post: 08-28-2008, 11:00 AM
  5. Replies: 0
    Last Post: 08-27-2008, 07:20 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 08:36 PM.
twitter, follow us!